Bug 1403611 - chromium shows error on ssl-sites secured by symantec certificates
Summary: chromium shows error on ssl-sites secured by symantec certificates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1404067 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-11 22:00 UTC by Jens Lody
Modified: 2017-01-05 04:19 UTC (History)
10 users (show)

Fixed In Version: chromium-55.0.2883.87-1.fc25 chromium-55.0.2883.87-1.fc24 chromium-55.0.2883.87-1.el7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-04 18:18:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Lody 2016-12-11 22:00:03 UTC
Description of problem:
Since today opening ssl-sites that use certificates secured with a symantec certifcate show a certificate error:
"There are issues with the site's certificate chain (net::ERR_CERTIFICATE_TRANSPARENCY_REQUIRED)."

The certifacte has CT enabled (according to: https://knowledge.symantec.com/support/ssl-certificates-support/index?page=content&actp=CROSSLINK&id=SO28947 )

Version-Release number of selected component (if applicable):
54.0.2840.90 

How reproducible:
always

Steps to Reproduce:
Open e.g. https://amazon.com

Actual results:
certifcate error

Expected results:
no error

Additional info:
Probably related to: https://bugs.chromium.org/p/chromium/issues/detail?id=664177

Comment 1 Conrad Meyer 2016-12-12 20:08:41 UTC
I am hitting the same problem.  This appears to be the same issue 53.x had, but punted forward a few weeks.  See comment 80 from a Googler on the issue here:

https://bugs.chromium.org/p/chromium/issues/detail?id=664177#c80

Please update to 55.x or newer to resolve the issue.  Also affects Fedora 23 (not EOL yet!) and presumably Fedora 24.

Comment 2 Tom "spot" Callaway 2016-12-12 20:11:12 UTC
I'm working on 55.x now. pnacl changes with every major version which slows down the process.

Comment 3 Conrad Meyer 2016-12-12 20:13:28 UTC
(In reply to Tom "spot" Callaway from comment #2)
> I'm working on 55.x now. pnacl changes with every major version which slows
> down the process.

Thanks, spot.  Is there anything I can do to help ~today (US west timezone)?  I have a little packaging experience and am familiar with C (not C++, though).

My $DAYJOB's internal websites all use Symantec certs, so this is a huge priority for me.

Comment 4 Tom "spot" Callaway 2016-12-12 20:28:48 UTC
(In reply to Conrad Meyer from comment #3)
> (In reply to Tom "spot" Callaway from comment #2)
> > I'm working on 55.x now. pnacl changes with every major version which slows
> > down the process.
> 
> Thanks, spot.  Is there anything I can do to help ~today (US west timezone)?
> I have a little packaging experience and am familiar with C (not C++,
> though).
> 
> My $DAYJOB's internal websites all use Symantec certs, so this is a huge
> priority for me.

Thanks for the offer, but I think I've got chromium-native_client building locally now, and I am in the middle of rediffing the patches for chromium 55. I'm hopeful that I'll have good builds going before I leave for the day (US East).

Comment 5 Conrad Meyer 2016-12-12 21:06:35 UTC
Thanks, that's great to hear.

Comment 7 Conrad Meyer 2016-12-13 20:22:06 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=825217 x86_64 works for me with Symantec certificates.

Comment 8 Fedora Update System 2016-12-13 22:10:51 UTC
chromium-55.0.2883.87-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0dcb9cab6

Comment 9 Fedora Update System 2016-12-13 22:11:33 UTC
chromium-55.0.2883.87-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a815b7bf5d

Comment 10 Fedora Update System 2016-12-13 22:12:03 UTC
chromium-55.0.2883.87-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0e1cb2b2b

Comment 11 Miro Hrončok 2016-12-14 08:52:17 UTC
*** Bug 1404067 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2016-12-15 02:28:33 UTC
chromium-55.0.2883.87-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0dcb9cab6

Comment 13 Fedora Update System 2016-12-15 05:03:22 UTC
chromium-55.0.2883.87-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0e1cb2b2b

Comment 14 Fedora Update System 2016-12-15 05:06:45 UTC
chromium-55.0.2883.87-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a815b7bf5d

Comment 15 Fedora Update System 2016-12-15 14:25:14 UTC
chromium-55.0.2883.87-1.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73b4fc1c78

Comment 16 Fedora Update System 2016-12-15 23:32:30 UTC
chromium-55.0.2883.87-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-12-16 00:27:10 UTC
chromium-55.0.2883.87-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-12-16 03:54:18 UTC
chromium-55.0.2883.87-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-12-16 04:20:44 UTC
chromium-55.0.2883.87-1.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73b4fc1c78

Comment 20 Fedora Update System 2017-01-04 18:18:27 UTC
chromium-55.0.2883.87-1.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-01-05 04:19:44 UTC
chromium-55.0.2883.87-1.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.